/*
 * Guy.c
 *
 */
#include "MMA7455_accelerometer.h"
#include "L3G4200D_gyroscope.h"

void GuyTest(void)
{
	float roll,pitch,throttle,yaw,ay,v,threshold;

	while(1){
		roll     = roll_stick();
		pitch    = pitch_stick();
		throttle = throttle_stick();
		yaw      = yaw_stick();

//     	ax = Xaccelerometer();
//>>>>>>>>>>>>>>>>>Recommend you run UpdateGlobalAngle then use the g_AngleX etc.
//  	ay = Yaccelerometer();  // Y is pitch for some reason. + is up
     	UpdateGlobalAngles();
     	ay = g_AngleY;  // Y is pitch for some reason. + is up

 //    	ax = 0;
   //  	ay = 0;

#define AF .1
#define K 1  // determines the distance needed to decelerate
//#define K .05  // determines the distance needed to decelerate
//		v = throttle + (ay * AF);

     	// if pitch down
     	if(ay < -1){
     		leds_init ();
     		ledr(1);
     		threshold = (0-((float)PitchSpeed())) * K;
			if(ay < threshold) v = threshold + 5; // accelerate front up?
			//else v = throttle - 10; // decelerate
			if(v > throttle*2) v = throttle*2; // can't be greater than twice the throttle
			if(v <0 ) v = 0;       // can't be negative
			motor_front(v);
			motor_rear((throttle*2) - v);
			leds_init ();
			ledr(0);
     	}
		// if pitch up
     	else if(ay > 1){
     		leds_init ();
     		ledg(1);
     		threshold = (0-((float)PitchSpeed())) * K;
			if(ay > threshold) v = threshold + 5; // accelerate rear up?
			//else v = threshold - 10; // decelerate
			if(v > threshold*2) v = threshold*2; // can't be greater than twice the throttle
			if(v <0 ) v = 0;       // can't be negative
			motor_rear(v);
			motor_front((threshold*2) - v);
			leds_init ();
			ledg(0);
     	}
     	// if level
		else{
			motor_rear(threshold);
			motor_front(threshold);
		}
        motor_left(OFF);
        motor_right(OFF);
    }
}
