#include "leds.h"

// Function to provide short delay
void short_delay (int n) __attribute__((noinline));
void short_delay(int n)
{
   volatile int d;
   for (d=0; d<n*3000; d++){}
}

int main(void) {

	volatile static int i = 0 ;
	int loop;

	// Initialise GPIO to access user LEDs
	leds_init();
	
	// Enter an infinite loop, cycling through led flash sequence
	while(1) {

		// Turn all leds on, then off, 5 times
		for (loop=1; loop < 5; loop++) {
			leds_all_on();
			short_delay(1000);
			leds_all_off();		
			short_delay(1000);
		}
		short_delay(3000);
		
		led_on (LED_R);
		short_delay(2000);
		led_off (LED_R);
		led_on (LED_G);
		short_delay(2000);
		led_on (LED_B);
		
		short_delay(5000);
		i++ ;
	}
	return 0 ;
}
