#ifndef LEDS_H_
#define LEDS_H_

// Set of defines for IMU user leds
#define LED_R (1<<0)
#define LED_G (1<<1)
#define LED_B (1<<2)

// All Leds
#define LED_ALL ( LED_R | LED_G | LED_B )

void leds_init (void);
void leds_all_on (void);
void leds_all_off (void);
void leds_invert (void);
void led_on (unsigned int ledstate);
void led_off (unsigned int ledstate);

#endif /*LEDS_H_*/
